# Background

Designed for use with New Zealand FreeView.

Assumes you have mythtv set up as per the [setup guide](https://www.mythtv.org/wiki/Setup_General)

After setting your Channel Frequency Table to New Zealand, you may need to edit the transports to match the data for your region.

See [tv headend](https://github.com/PiratJones/tvheadend/tree/master/data/dvb-scan/dvb-t) git repo for the frequencies for your region.

NOTE: I'm not actually sure if this is necessary, but the channel scan I did with mythtv defaults resulted in some channels missing. After deleting all channels, manually adding the transports in [Waikato](https://github.com/PiratJones/tvheadend/blob/master/data/dvb-scan/dvb-t/nz-Waikato), and running another scan, then all channels were found. However, I noticed that the resulting 5 transports were different to what I configured manually (mythtv will find and delete duplicates). It could just be that the first scan missed some channels for some reason.

# Usage

First, check the patches ``rename.patch`` and ``remove.patch`` are appropriate for your use case.

Then run:
```bash
./epg-grab-mjh.sh
```

Add to your daily crontab.

Thanks [Matt Huisman](https://www.matthuisman.nz).

See here [https://www.matthuisman.nz/2017/07/new-updated-nz-iptv-files.html](https://www.matthuisman.nz/2017/07/new-updated-nz-iptv-files.html)

# Help

To generate the patches, just download the epg.xml from Matt Huisman's site, and

1. Copy the original xml to epg-modified.xml

2. Make sure the channel names in epg-modified.xml match the output from mythtv db:
```bash
sudo mysql -u root -p mythconverg -e "SELECT channum,chanid,icon,name,xmltvid,sourceid FROM channel WHERE visible ORDER BY channum+0;"
```

3. Generate the diff between the original and modified xml, and save as rename.patch:
```bash
diff -u epg.xml epg-modified.xml > rename.patch
```

4. Apply the rename.patch to the original xml

5. Remove any channels in epg-modified.xml that mythtv hasn't found, so long as you are sure you can't get from your location

6. Generate the diff between the the (patched) original xml and the modified xml, and save as remove.patch:
```bash
diff -u epg.xml epg-modified.xml > remove.patch
```

The modifications are split up in the case that some users neeed renames but not removals.
